Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class ElementContentElementParser

    java.lang.Object
      com.atlassian.bamboo.configuration.DefaultElementParser
          com.atlassian.bamboo.configuration.ElementContentElementParser

All Implemented Interfaces:
  ElementParser

Direct Known Subclasses:
  MimeTypeLoader.ExtensionElementParser, MimeTypeLoader.MimeTypeElementParser

    public class ElementContentElementParser

extends DefaultElementParser

This simply extracts the content between two xml tags.

Constructor Summary
`ElementContentElementParser()`

Method Summary
`void` | `characters(char[] chars, int offset, int length)` Do nothing by default.
`String` | `getElementContent()`
`void` | `startElement(Attributes attributes)` Do nothing by default.

Methods inherited from class com.atlassian.bamboo.configuration.DefaultElementParser
`endElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementContentElementParser

    public ElementContentElementParser()

Method Detail

### startElement

    public void startElement(Attributes attributes)

  Description copied from class: `DefaultElementParser`
  Do nothing by default. Override to process the start of an element.

  Specified by:
    `startElement` in interface `ElementParser`
  Overrides:
    `startElement` in class `DefaultElementParser`
  Parameters:
    `attributes` - The element's attributes

### characters

    public void characters(char[] chars,
                           int offset,
                           int length)

  Description copied from class: `DefaultElementParser`
  Do nothing by default. Override to process the element text

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks.

  Specified by:
    `characters` in interface `ElementParser`
  Overrides:
    `characters` in class `DefaultElementParser`
  Parameters:
    `chars` - The characters from the XML document.
    `offset` - The start position in the array.
    `length` - The number of characters to read from the array.

### getElementContent

    public String getElementContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.